/* PROGRAMME HORLOGE DCF77
 * Auteur : Pascal Chour
 * www.pascalchour.fr
 * Objet : Dfinitions communes
 */





#ifndef __INCLUDE_COMMON_H
#define __INCLUDE_COMMON_H

#define STATUS_LED          (BIT3)            //STATUS_LED - P1.3
#define DALLAS              (P2IN & BIT7)     //P2.7 - DALLAS (inutilis)
// Boutons poussoirs de la carte Olimex
#define BTN1                (BIT4)
#define BTN2                (BIT5)
#define BTN3                (BIT6)
#define BTN4                (BIT7)
#define BTN_MASK            (BTN1 | BTN2 | BTN3 | BTN4)

#define DCF77_Disabled      0x02 // bit dsactivation du module DCF77

#define Attente_Trame_Max  600  // Time out sur attente trame = 600 secondes = 10mn
#define Attente_Signal_Max 3    // Time out sur attente signal = 3 secondes
#define MILLENAIRE 2000         // Millnaire) courant !
#define DureeParasite 50        // Dure parasite < 50ms (ce que l'on considre comme un parasite)

#define TDeb 130                // Dbut chantillonnage du signal (en ms) par rapport au dbut du signal (chaque seconde)
#define TFin 170                // Fin chantillonnage du signal (en ms) par rapport au dbut du signal (chaque seconde)

#ifndef bool_t
typedef char bool_t;
#endif // bool_t
#ifndef TRUE
#define TRUE                1
#endif // TRUE
#ifndef FALSE
#define FALSE               0
#endif // FALSE


/* ------- VERSION DU PROGRAMME ---------*/
/* 6 caractres          123456        */


#define version_pgm    (" 1.0")  // 4 caractres max sans le point. Pour affichage  la mise sous tension

/* --------------------------------------*/


#define FREQ_PROC_DIV_1000 (1000) // frquence du processeur (1MHz) divise par 1000 

#endif // __INCLUDE_COMMON_H 
